<?php
$tdatacat_titulosprofesionales = array();
$tdatacat_titulosprofesionales[".searchableFields"] = array();
$tdatacat_titulosprofesionales[".ShortName"] = "cat_titulosprofesionales";
$tdatacat_titulosprofesionales[".OwnerID"] = "";
$tdatacat_titulosprofesionales[".OriginalTable"] = "cat_titulosprofesionales";


$tdatacat_titulosprofesionales[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatacat_titulosprofesionales[".originalPagesByType"] = $tdatacat_titulosprofesionales[".pagesByType"];
$tdatacat_titulosprofesionales[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatacat_titulosprofesionales[".originalPages"] = $tdatacat_titulosprofesionales[".pages"];
$tdatacat_titulosprofesionales[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatacat_titulosprofesionales[".originalDefaultPages"] = $tdatacat_titulosprofesionales[".defaultPages"];

//	field labels
$fieldLabelscat_titulosprofesionales = array();
$fieldToolTipscat_titulosprofesionales = array();
$pageTitlescat_titulosprofesionales = array();
$placeHolderscat_titulosprofesionales = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelscat_titulosprofesionales["Spanish"] = array();
	$fieldToolTipscat_titulosprofesionales["Spanish"] = array();
	$placeHolderscat_titulosprofesionales["Spanish"] = array();
	$pageTitlescat_titulosprofesionales["Spanish"] = array();
	$fieldLabelscat_titulosprofesionales["Spanish"]["id"] = "Id";
	$fieldToolTipscat_titulosprofesionales["Spanish"]["id"] = "";
	$placeHolderscat_titulosprofesionales["Spanish"]["id"] = "";
	$fieldLabelscat_titulosprofesionales["Spanish"]["titulo"] = "Título";
	$fieldToolTipscat_titulosprofesionales["Spanish"]["titulo"] = "";
	$placeHolderscat_titulosprofesionales["Spanish"]["titulo"] = "";
	if (count($fieldToolTipscat_titulosprofesionales["Spanish"]))
		$tdatacat_titulosprofesionales[".isUseToolTips"] = true;
}


	$tdatacat_titulosprofesionales[".NCSearch"] = true;



$tdatacat_titulosprofesionales[".shortTableName"] = "cat_titulosprofesionales";
$tdatacat_titulosprofesionales[".nSecOptions"] = 0;

$tdatacat_titulosprofesionales[".mainTableOwnerID"] = "";
$tdatacat_titulosprofesionales[".entityType"] = 0;
$tdatacat_titulosprofesionales[".connId"] = "omega2_at_localhost";


$tdatacat_titulosprofesionales[".strOriginalTableName"] = "cat_titulosprofesionales";

	



$tdatacat_titulosprofesionales[".showAddInPopup"] = false;

$tdatacat_titulosprofesionales[".showEditInPopup"] = false;

$tdatacat_titulosprofesionales[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatacat_titulosprofesionales[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatacat_titulosprofesionales[".listAjax"] = false;
//	temporary
$tdatacat_titulosprofesionales[".listAjax"] = false;

	$tdatacat_titulosprofesionales[".audit"] = false;

	$tdatacat_titulosprofesionales[".locking"] = false;


$pages = $tdatacat_titulosprofesionales[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatacat_titulosprofesionales[".edit"] = true;
	$tdatacat_titulosprofesionales[".afterEditAction"] = 0;
	$tdatacat_titulosprofesionales[".closePopupAfterEdit"] = 1;
	$tdatacat_titulosprofesionales[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatacat_titulosprofesionales[".add"] = true;
$tdatacat_titulosprofesionales[".afterAddAction"] = 1;
$tdatacat_titulosprofesionales[".closePopupAfterAdd"] = 1;
$tdatacat_titulosprofesionales[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatacat_titulosprofesionales[".list"] = true;
}



$tdatacat_titulosprofesionales[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatacat_titulosprofesionales[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatacat_titulosprofesionales[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatacat_titulosprofesionales[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatacat_titulosprofesionales[".printFriendly"] = true;
}



$tdatacat_titulosprofesionales[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatacat_titulosprofesionales[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatacat_titulosprofesionales[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatacat_titulosprofesionales[".isUseAjaxSuggest"] = true;

$tdatacat_titulosprofesionales[".rowHighlite"] = true;





$tdatacat_titulosprofesionales[".ajaxCodeSnippetAdded"] = false;

$tdatacat_titulosprofesionales[".buttonsAdded"] = false;

$tdatacat_titulosprofesionales[".addPageEvents"] = false;

// use timepicker for search panel
$tdatacat_titulosprofesionales[".isUseTimeForSearch"] = false;


$tdatacat_titulosprofesionales[".badgeColor"] = "DC143C";


$tdatacat_titulosprofesionales[".allSearchFields"] = array();
$tdatacat_titulosprofesionales[".filterFields"] = array();
$tdatacat_titulosprofesionales[".requiredSearchFields"] = array();

$tdatacat_titulosprofesionales[".googleLikeFields"] = array();
$tdatacat_titulosprofesionales[".googleLikeFields"][] = "id";
$tdatacat_titulosprofesionales[".googleLikeFields"][] = "titulo";



$tdatacat_titulosprofesionales[".tableType"] = "list";

$tdatacat_titulosprofesionales[".printerPageOrientation"] = 0;
$tdatacat_titulosprofesionales[".nPrinterPageScale"] = 100;

$tdatacat_titulosprofesionales[".nPrinterSplitRecords"] = 40;

$tdatacat_titulosprofesionales[".geocodingEnabled"] = false;










$tdatacat_titulosprofesionales[".pageSize"] = 20;

$tdatacat_titulosprofesionales[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatacat_titulosprofesionales[".strOrderBy"] = $tstrOrderBy;

$tdatacat_titulosprofesionales[".orderindexes"] = array();


$tdatacat_titulosprofesionales[".sqlHead"] = "SELECT id,  	titulo";
$tdatacat_titulosprofesionales[".sqlFrom"] = "FROM cat_titulosprofesionales";
$tdatacat_titulosprofesionales[".sqlWhereExpr"] = "";
$tdatacat_titulosprofesionales[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacat_titulosprofesionales[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacat_titulosprofesionales[".arrGroupsPerPage"] = $arrGPP;

$tdatacat_titulosprofesionales[".highlightSearchResults"] = true;

$tableKeyscat_titulosprofesionales = array();
$tableKeyscat_titulosprofesionales[] = "id";
$tdatacat_titulosprofesionales[".Keys"] = $tableKeyscat_titulosprofesionales;


$tdatacat_titulosprofesionales[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "cat_titulosprofesionales";
	$fdata["Label"] = GetFieldLabel("cat_titulosprofesionales","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_titulosprofesionales["id"] = $fdata;
		$tdatacat_titulosprofesionales[".searchableFields"][] = "id";
//	titulo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "titulo";
	$fdata["GoodName"] = "titulo";
	$fdata["ownerTable"] = "cat_titulosprofesionales";
	$fdata["Label"] = GetFieldLabel("cat_titulosprofesionales","titulo");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "titulo";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "titulo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=15";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_titulosprofesionales["titulo"] = $fdata;
		$tdatacat_titulosprofesionales[".searchableFields"][] = "titulo";


$tables_data["cat_titulosprofesionales"]=&$tdatacat_titulosprofesionales;
$field_labels["cat_titulosprofesionales"] = &$fieldLabelscat_titulosprofesionales;
$fieldToolTips["cat_titulosprofesionales"] = &$fieldToolTipscat_titulosprofesionales;
$placeHolders["cat_titulosprofesionales"] = &$placeHolderscat_titulosprofesionales;
$page_titles["cat_titulosprofesionales"] = &$pageTitlescat_titulosprofesionales;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["cat_titulosprofesionales"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["cat_titulosprofesionales"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_cat_titulosprofesionales()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	titulo";
$proto0["m_strFrom"] = "FROM cat_titulosprofesionales";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "cat_titulosprofesionales",
	"m_srcTableName" => "cat_titulosprofesionales"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "cat_titulosprofesionales";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "titulo",
	"m_strTable" => "cat_titulosprofesionales",
	"m_srcTableName" => "cat_titulosprofesionales"
));

$proto8["m_sql"] = "titulo";
$proto8["m_srcTableName"] = "cat_titulosprofesionales";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "cat_titulosprofesionales";
$proto11["m_srcTableName"] = "cat_titulosprofesionales";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "id";
$proto11["m_columns"][] = "titulo";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "cat_titulosprofesionales";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "cat_titulosprofesionales";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="cat_titulosprofesionales";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_cat_titulosprofesionales = createSqlQuery_cat_titulosprofesionales();


	
		;

		

$tdatacat_titulosprofesionales[".sqlquery"] = $queryData_cat_titulosprofesionales;



$tableEvents["cat_titulosprofesionales"] = new eventsBase;
$tdatacat_titulosprofesionales[".hasEvents"] = false;

?>